import { NgForm } from '@angular/forms';
import { ChangeDetectorRef, EventEmitter, Renderer2, AfterViewInit } from '@angular/core';
import { StorageService } from '@dotgov/core';
import { BuilderTask, BuilderModel } from '../../models/builder.model';
import { BuilderService } from '../../../dnd/services/builder.service';
export declare class FBRendererComponent extends StorageService implements AfterViewInit {
    private ref;
    private renderer;
    private builderService;
    previewMode: boolean;
    loading: boolean;
    selectedTab: any;
    selectedTabIndex: number;
    private _formBuilderHelper;
    private _activeTask;
    private _controlDown;
    private _rendererSubscriptions;
    reset: EventEmitter<boolean>;
    save: EventEmitter<{
        task: any;
        models: any;
    }>;
    formRenderer: NgForm;
    task: BuilderTask;
    private _availableModels;
    availableModels: BuilderModel;
    constructor(ref: ChangeDetectorRef, renderer: Renderer2, builderService: BuilderService);
    ngAfterViewInit(): void;
    formNameChanged(newName: any): void;
    tabNameChanged(tab: any, tabIndex: number, value: string): void;
    addNewTab(container: any): void;
    isActive(tab: any, tabIndex?: number): boolean;
    removeTabHandler(tab: any, container: any, index: number): void;
    move(container: any, tabIndex: any, direction: any): void;
    resetAll(): void;
    saveAll(): void;
    exportToJson(): void;
    importFromJson(): void;
    private download(filename, text);
    private documentKeydown(event);
    private documentKeyup();
}
