import { Cell } from './Cell';
import { HiddenCellProperties } from './HiddenCellProperties';
import { CellProperties } from '../models/CellProperties';
export interface BuilderTask {
    header: Description;
    description: Description;
    print: Print;
    handlers: Handlers;
    hiddenCells: HiddenCell[];
    tabs: Tab[];
    uiActions: any[];
    model: any;
}
export declare class BuilderControl implements Row, Cell, Section {
    columns: number;
    decoration: string;
    rows: Row[];
    showlabel: boolean;
    visible?: string;
    cells: any;
    colSpan: number;
    properties?: CellProperties;
    name?: string;
    rowSpan: number;
    showHelp: boolean;
    title?: string;
    event?: string;
    fieldType?: never;
}
export interface Description {
    title?: string;
}
export interface Handlers {
    onloadscript: string;
}
export interface HiddenCell {
    colSpan: number;
    name: string;
    rowSpan: number;
    showHelp: boolean;
    title?: string;
    properties?: HiddenCellProperties;
}
export interface Print {
}
export interface Tab {
    name: string;
    sections: Section[];
    title?: string;
}
export interface Section {
    columns: number;
    decoration: string;
    name?: string;
    rows: Row[];
    showlabel: boolean;
    title?: string;
    visible?: string;
}
export interface Row {
    cells: Cell[] | any;
}
export interface BuilderModel {
    primaryKey: string;
    header: string;
    description: string;
    dataSource: DataSource;
    fieldCollection: BuilderField[];
    name: string;
    version: string;
}
export interface DataSource {
    dataSourceType: string;
    name: string;
    sqlView: string;
}
export declare class BuilderField {
    name: string;
    title: string;
    fieldType: number;
    designCategory: string;
    iconClass: string;
    dbTypeName: string;
    format: string;
    description: string;
    maxLength: string;
    isSystemRequired: boolean;
    readonly: boolean;
    uiMask: string;
    bindings: any[];
    isHidden: boolean;
    isRequiredForGrid: boolean;
    isRequiredForForm: boolean;
    isValidForGrid: boolean;
    isValidForForm: boolean;
    allowCreate: boolean;
    isValidForReport: boolean;
    isExtractable: boolean;
    isSingleLookup: boolean;
    isDynamicDropDown: boolean;
    isNonValueType: boolean;
    hasRelation: boolean;
    rows: any[];
    options: any[];
    isMultiple: boolean;
    decoration: string;
    columns: number;
    constructor(name?: string, title?: string, fieldType?: number, designCategory?: string, iconClass?: string, dbTypeName?: string, format?: string, description?: string, maxLength?: string, isSystemRequired?: boolean, readonly?: boolean, uiMask?: string, bindings?: any[], isHidden?: boolean, isRequiredForGrid?: boolean, isRequiredForForm?: boolean, isValidForGrid?: boolean, isValidForForm?: boolean, allowCreate?: boolean, isValidForReport?: boolean, isExtractable?: boolean, isSingleLookup?: boolean, isDynamicDropDown?: boolean, isNonValueType?: boolean, hasRelation?: boolean, rows?: any[], options?: any[], isMultiple?: boolean, decoration?: string, columns?: number);
}
